{% extends 'base.html.twig' %}

{% block title %}Gpu{% endblock %}

{% block body %}
    <div class=" row gpulist ">
    <div class="col-1 mt-4  ">
        <input
            class="btn btn-outline-danger"
            type="button"
            value="Go back!"
            onclick="history.back()">
    </div>
    <div class="col-10 d-flex justify-content-center ">
        <h1 class='text-center'>Config pour
            <br>
            minage avec des gpu
        </h1>
    </div>

    {% for Config in Config %}

        <div class="row col-12 box mt-5">
            <div class="col-md-4">
                <h4 >{{ Config.title }}</h4>
            </div>
            <div class="col-md-4 pt-2">
                <h4>{{ Config.Price}}
                    €</h4>
            </div>
            <div id="link" class="col-md-4 pt-1">
                <a
                    class="btn btn-primary"
                    data-bs-toggle="collapse"
                    href="#Collapse{{ Config.Id}}"
                    role="button"
                    aria-expanded="false"
                    aria-controls="collapseExample">
                    Voir la config
                </a>

            </div>

            <div class="collapse" id="Collapse{{ Config.Id}}">

                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">Motherboard</th>
                            <th scope="col">Ram</th>
                            <th scope="col">Cpu</th>
                            <th scope="col">Powersupply</th>
                            <th scope="col">Cooler</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                <a href="{{ Config.MotherboardUrl }}" target="_blank">
                                    {{ Config.Motherboard }}
                                </a>
                            </td>
                            <td>
                                <a href="{{ Config.RamUrl }}" target="_blank">
                                    {{ Config.Ram }}
                                </a>
                            </td>
                            <td>
                                <a href="{{ Config.Cpu }}" target="_blank">
                                    {{ Config.Cpu }}
                                </a>
                            </td>
                            <td>
                                <a href="{{ Config.powersupplyUrl }}" target="_blank">
                                    {{ Config.powersupply }}
                                </a>
                            </td>
                            <td>
                                <a href="{{ Config.CoolerUrl }}" target="_blank">
                                    {{ Config.Cooler }}
                                </a>
                            </td>

                        </tr>

                    </tbody>
                </table>
            </div>
        </div>

    {% endfor %}

</div>
<div class="mb-5 mt-5 d-grid gap-2 col-6 mx-auto text-center">
    <button class="btn btn-primary" type="button">Créer votre Configuation</button>
    <p>Vous devez etre
        <a href="#">Connecter</a>
        pour pouvoir créer votre Configuation
    </p>
</div>

{% endblock %}